id: http://w3id.org/gaia-x/gx-trust-framework
name: gaia-x-entity
prefixes:
  gx: https://w3id.org/gaia-x/ONTOLOGY_VERSION#
  linkml: https://w3id.org/linkml/
imports:
  - linkml:types
default_prefix: gx
default_range:  string

classes:
  GaiaXEntity:
    title: "Gaia-X Entity"
    description: |-
      Root class for Gaia-X entities.
    abstract: true
    attributes:
      name:
        required: false
        title: 'name'
        description: 'A human readable name of the entity.'
        range: string
      description:
        required: false
        title: 'description'
        description: 'A free text description of the entity.'
        range: string
